Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 262701 - Thunderbird display is awfully broken with a XUL error box
: Thunderbird display is awfully broken with a XUL error box
: fixed-aviary1.0, regression
Product: Thunderbird
Classification: Client Software
Component: Mail Window Front End (show other bugs)
: unspecified
: x86 All
: -- blocker (vote)
: ---
Assigned To: Benjamin Smedberg [:bsmedberg]
: trix supremo
Depends on:
  Show dependency treegraph
Reported: 2004-10-03 09:06 PDT by Frederic Bezies
Modified: 2004-10-06 11:51 PDT (History)
4 users (show)
fredbezies: blocking‑aviary1.0+
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---

do repackaging properly (963 bytes, patch)
2004-10-04 06:04 PDT, Benjamin Smedberg [:bsmedberg]
no flags Details | Diff | Splinter Review
It's not yet completely fixed. (27.63 KB, image/png)
2004-10-05 08:26 PDT, Volkmar W. Pogatzki
no flags Details

Description Frederic Bezies 2004-10-03 09:06:33 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.3) Gecko/20041003 Firefox/0.10
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.3) Gecko/20041003 Firefox/0.10

Simple to reproduce. See below.

Results is a list of XUL error in the bottom of the windows, no menus at all.

XUL Errors are :

   <Broadcaster ID="Communicator:Workmode" /
    <key id="key_selectAll" key="&selectAllCmd.Key;" modifiers="accel"/>

    <menuitem id="context-selectall"

    <menuitem id="popupwindow-reject"

I hope this not to be already known :]

Reproducible: Always
Steps to Reproduce:
1.Grab aviary branch code and keep it up-to-date
2.Build thunderbird
3.Launch it

Actual Results:  
Xul errors in bottom ; no menu bar.

Expected Results:  
Giving a working workplace ?

.mozconfig used with MS VC++ 6.0

. $topsrcdir/mail/config/mozconfig

ac_add_options --enable-optimize="-O1 -G6"

ac_add_options --enable-static
ac_add_options --disable-shared

ac_add_options --disable-debug

ac_add_options --disable-auto-deps
Comment 1 David :Bienvenu 2004-10-03 09:07:41 PDT
what thunderbird build are you running?
Comment 2 Frederic Bezies 2004-10-03 09:33:53 PDT
right now ?

A 2 days old homemade one.
Comment 3 Frederic Bezies 2004-10-03 10:07:44 PDT
Confirming display bug, using a cleaned profile and "official nightly" build
from there :

Using build posted at 07:51 this morning.
Comment 4 sairuh (rarely reading bugmail) 2004-10-03 12:22:17 PDT
also see this with 2004100306-0.8 on linux.
Comment 5 sairuh (rarely reading bugmail) 2004-10-03 12:29:20 PDT
this regressed btwn yesterday's build 2004100206-0.8 (works) and today's build
2004100306-0.8 (broken).
Comment 6 Scott MacGregor 2004-10-03 12:43:23 PDT
cc'ing Benjamin. I just sent him e-mail about this. 
Comment 7 Stephen Walker 2004-10-04 05:28:27 PDT
Where's communicator/locale on the branch?  Trunk is still busted too, since the
global-region dtds/properties are being put in US.jar which Thunderbird doesn't
Comment 8 Benjamin Smedberg [:bsmedberg] 2004-10-04 06:04:11 PDT
Created attachment 161008 [details] [diff] [review]
do repackaging properly
Comment 9 Volkmar W. Pogatzki 2004-10-05 08:26:57 PDT
Created attachment 161163 [details]
It's not yet completely fixed.
Comment 10 Steve Wardell 2004-10-05 09:14:02 PDT
This seems to work well in 20041005 - AVIARY on XP.
Comment 11 sairuh (rarely reading bugmail) 2004-10-05 09:50:35 PDT
bug 262842 covers comment 9.
Comment 12 sairuh (rarely reading bugmail) 2004-10-06 11:51:56 PDT
vrfy'd with tbird 2004100606-0.8 bits on linux fc2.

Note You need to log in before you can comment on or make changes to this bug.